const [a, b, c] = require("fs").readFileSync(0, "utf8").toString().trim().split('\n').map(Number);

if(a+b+c !== 180) console.log("Error");
else if(a===b && a===c) console.log("Equilateral");
else if(a===b || a===c || b===c) console.log("Isosceles");
else console.log("Scalene");